> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/plugin/version-throttlings.md).

# Version Throttlings

Operations related to Plugin Version Throttlings for rate limiting events processed by specific plugin versions.

## GET /plugins/{plugin\_id}/versions/{plugin\_version\_id}/throttlings/{plugin\_version\_throttling\_id}

> Get a Plugin Version Throttling by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"VersionThrottlings","description":"Operations related to Plugin Version Throttlings for rate limiting events processed by specific plugin versions."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/throttlings/{plugin_version_throttling_id}":{"get":{"parameters":[{"style":"simple","description":"ID of the plugin","in":"path","explode":false,"schema":{"type":"string"},"name":"plugin_id","required":true},{"name":"plugin_version_id","required":true,"description":"ID of the plugin version","schema":{"type":"string"},"in":"path","explode":false,"style":"simple"},{"explode":false,"name":"plugin_version_throttling_id","style":"simple","in":"path","description":"ID of the Plugin Version Throttling","schema":{"type":"string"},"required":true}],"description":"","tags":["VersionThrottlings"],"summary":"Get a Plugin Version Throttling by id","operationId":"getPluginVersionThrottlingById","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginVersionThrottlingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"PluginVersionThrottlingResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"max_qps":{"type":"number","format":"float","default":0,"readOnly":false},"timeout_ms":{"type":"integer","format":"int32","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":false},"plugin_endpoint":{"type":"string","readOnly":false},"scope":{"$ref":"#/components/schemas/PluginVersionThrottlingScope"},"last_modified_by":{"type":"string","readOnly":true},"throttling_key":{"type":"string","readOnly":false},"qps":{"type":"integer","format":"int32","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"max_concurrency":{"type":"integer","format":"int32","default":0,"readOnly":false},"created_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","last_modified_by","last_modified_ts","plugin_endpoint","plugin_version_id","scope"]},"PluginVersionThrottlingScope":{"type":"string","enum":["GLOBAL","CONTAINER","DATAMART","ORGANISATION"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /plugins/{plugin\_id}/versions/{plugin\_version\_id}/throttlings/{plugin\_version\_throttling\_id}

> Update a Plugin Version Throttling by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"VersionThrottlings","description":"Operations related to Plugin Version Throttlings for rate limiting events processed by specific plugin versions."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/throttlings/{plugin_version_throttling_id}":{"put":{"operationId":"updatePluginVersionThrottlingById","tags":["VersionThrottlings"],"description":"","summary":"Update a Plugin Version Throttling by id","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginVersionThrottlingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"description":"ID of the plugin","in":"path","explode":false,"schema":{"type":"string"},"required":true,"name":"plugin_id","style":"simple"},{"description":"ID of the plugin version","required":true,"explode":false,"in":"path","style":"simple","schema":{"type":"string"},"name":"plugin_version_id"},{"style":"simple","explode":false,"description":"ID of the Plugin Version Throttling","schema":{"type":"string"},"in":"path","required":true,"name":"plugin_version_throttling_id"}],"requestBody":{"description":"The plugin version throttling to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginVersionThrottlingResource"}}},"required":true}}}},"components":{"schemas":{"PluginVersionThrottlingResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"max_qps":{"type":"number","format":"float","default":0,"readOnly":false},"timeout_ms":{"type":"integer","format":"int32","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":false},"plugin_endpoint":{"type":"string","readOnly":false},"scope":{"$ref":"#/components/schemas/PluginVersionThrottlingScope"},"last_modified_by":{"type":"string","readOnly":true},"throttling_key":{"type":"string","readOnly":false},"qps":{"type":"integer","format":"int32","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"max_concurrency":{"type":"integer","format":"int32","default":0,"readOnly":false},"created_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","last_modified_by","last_modified_ts","plugin_endpoint","plugin_version_id","scope"]},"PluginVersionThrottlingScope":{"type":"string","enum":["GLOBAL","CONTAINER","DATAMART","ORGANISATION"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /plugins/{plugin\_id}/versions/{plugin\_version\_id}/throttlings/{plugin\_version\_throttling\_id}

> Delete a Plugin Version Throttling by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"VersionThrottlings","description":"Operations related to Plugin Version Throttlings for rate limiting events processed by specific plugin versions."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/throttlings/{plugin_version_throttling_id}":{"delete":{"description":"","tags":["VersionThrottlings"],"parameters":[{"explode":false,"name":"plugin_id","style":"simple","description":"ID of the plugin","in":"path","schema":{"type":"string"},"required":true},{"name":"plugin_version_id","style":"simple","explode":false,"schema":{"type":"string"},"required":true,"description":"ID of the plugin version","in":"path"},{"required":true,"name":"plugin_version_throttling_id","schema":{"type":"string"},"description":"ID of the Plugin Version Throttling","style":"simple","in":"path","explode":false}],"summary":"Delete a Plugin Version Throttling by id","operationId":"deletePluginVersionThrottlingById","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /plugins/{plugin\_id}/versions/{plugin\_version\_id}/throttlings

> Get a list of Plugin Version Throttlings

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"VersionThrottlings","description":"Operations related to Plugin Version Throttlings for rate limiting events processed by specific plugin versions."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/throttlings":{"get":{"summary":"Get a list of Plugin Version Throttlings","operationId":"findPluginVersionThrottlings","description":"","parameters":[{"explode":false,"schema":{"type":"string"},"description":"ID of the plugin","style":"simple","required":true,"name":"plugin_id","in":"path"},{"description":"ID of the plugin version","required":true,"explode":false,"schema":{"type":"string"},"style":"simple","in":"path","name":"plugin_version_id"},{"name":"scope","required":false,"description":"Scope of the plugin version throttling","in":"query","schema":{"$ref":"#/components/schemas/PluginVersionThrottlingScope"},"style":"form","explode":true},{"schema":{"type":"string"},"style":"form","description":"throttling_key of the plugin version throttling","explode":true,"required":false,"in":"query","name":"throttling_key"},{"schema":{"type":"integer","format":"int32"},"name":"first_result","explode":true,"required":false,"in":"query","description":"Offset from which the search must be performed","style":"form"},{"description":"Number of maximum items that shall be return by this search","schema":{"type":"integer","format":"int32"},"required":false,"in":"query","explode":true,"style":"form","name":"max_results"}],"tags":["VersionThrottlings"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/PluginVersionThrottlingResource"}},"total":{"type":"integer"},"first_result":{"type":"integer"},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"PluginVersionThrottlingScope":{"type":"string","enum":["GLOBAL","CONTAINER","DATAMART","ORGANISATION"],"readOnly":false},"PluginVersionThrottlingResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"max_qps":{"type":"number","format":"float","default":0,"readOnly":false},"timeout_ms":{"type":"integer","format":"int32","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":false},"plugin_endpoint":{"type":"string","readOnly":false},"scope":{"$ref":"#/components/schemas/PluginVersionThrottlingScope"},"last_modified_by":{"type":"string","readOnly":true},"throttling_key":{"type":"string","readOnly":false},"qps":{"type":"integer","format":"int32","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"max_concurrency":{"type":"integer","format":"int32","default":0,"readOnly":false},"created_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","last_modified_by","last_modified_ts","plugin_endpoint","plugin_version_id","scope"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /plugins/{plugin\_id}/versions/{plugin\_version\_id}/throttlings

> Create a new Plugin Version Throttling

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"VersionThrottlings","description":"Operations related to Plugin Version Throttlings for rate limiting events processed by specific plugin versions."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/throttlings":{"post":{"tags":["VersionThrottlings"],"summary":"Create a new Plugin Version Throttling","operationId":"createPluginVersionThrottling","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginVersionThrottlingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The plugin version throttlings to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginVersionThrottlingResource"}}},"required":true},"parameters":[{"schema":{"type":"string"},"in":"path","style":"simple","description":"ID of the plugin","explode":false,"required":true,"name":"plugin_id"},{"explode":false,"schema":{"type":"string"},"name":"plugin_version_id","in":"path","description":"ID of the plugin version","style":"simple","required":true}],"description":""}}},"components":{"schemas":{"PluginVersionThrottlingResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"max_qps":{"type":"number","format":"float","default":0,"readOnly":false},"timeout_ms":{"type":"integer","format":"int32","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":false},"plugin_endpoint":{"type":"string","readOnly":false},"scope":{"$ref":"#/components/schemas/PluginVersionThrottlingScope"},"last_modified_by":{"type":"string","readOnly":true},"throttling_key":{"type":"string","readOnly":false},"qps":{"type":"integer","format":"int32","default":0,"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"max_concurrency":{"type":"integer","format":"int32","default":0,"readOnly":false},"created_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","last_modified_by","last_modified_ts","plugin_endpoint","plugin_version_id","scope"]},"PluginVersionThrottlingScope":{"type":"string","enum":["GLOBAL","CONTAINER","DATAMART","ORGANISATION"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/plugin/version-throttlings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
